import { OnInit, EventEmitter, AfterContentInit } from '@angular/core';
import { User, AuthenticationService } from '@xdf/commons';
export declare class SidebarRightComponent implements OnInit, AfterContentInit {
    private authenticationService;
    changed: EventEmitter<any>;
    loggedIn: User;
    showOptionsForSettings: boolean;
    showOptionsForRoles: boolean;
    constructor(authenticationService: AuthenticationService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    changeRole(role: any): void;
    toggleOptionsForRoles(): void;
    onKeydownHandler(event: KeyboardEvent): void;
    toggleOptionsForSettings(): void;
    logout(): void;
}
