import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
export interface DialogData {
    title: string;
    message: string;
}
export declare class ConfirmationDialogComponent implements OnInit {
    dialogRef: MatDialogRef<ConfirmationDialogComponent>;
    data: DialogData;
    title: string;
    message: string;
    constructor(dialogRef: MatDialogRef<ConfirmationDialogComponent>, data: DialogData);
    ngOnInit(): void;
    closeDialog(): void;
    navigateAway(): void;
    onKeyUp(): void;
}
