import { OnInit, EventEmitter } from '@angular/core';
import { FormGroupUtils } from '../../../utils/form-group-utils';
export declare class RadioGroupComponent implements OnInit {
    private formGroupUtils;
    label: string;
    values: Array<any>;
    showInline: boolean;
    name: string;
    suggest: string;
    disabled: boolean;
    required: boolean;
    options: any;
    formGroup: any;
    onChangeSelected: EventEmitter<any>;
    constructor(formGroupUtils: FormGroupUtils);
    ngOnInit(): void;
    getLabel(): string;
    selectionChange(event: any): void;
}
